<!doctype html>
<title>Expert Profile Collection (Prototype)</title>
<h3>Expert Profile Collection (Prototype)</h3>

{% if access_granted == False %}
<!-- Access defined -->
<p><strong>Access Denied</strong></p>
<p>The access token is missing or invalid</p>

{% else %}
<!-- Main form -->
<form action="{{action}}" method="post">
    <label for "description">Short Profile Description</label><br/>
    <p><textarea name="description" id="description" rows=10 cols=48 max_length={{max_length}}/>{% if description is none%}Enter description here{% else %}{{description}}{% endif %}</textarea></p>
    <p><label for="country">Country</label></p>
    <p><select id="country" name="country">
        {% for cval in country_options %}
        <option {% if cval == country %}selected{% endif %}>{{cval}}</option>
        {% endfor %}
    </select></p>
    <p><label for="languages">Languages (multiple values can be selected by pressing ctrl)</label></p>
    <p><select id="languages" name="languages" multiple="true">
        {% for lcode, lname in language_options %}
        <option value="{{lname}}" {% if languages is not none and lname in languages %}selected{% endif %}>{{lname}}</option>
        {% endfor %}
    </select></p>
    <p><label for="team_size">Team size:</label></p>
    <p><input type="number" id="team_size" name="team_size" min="1" step="1" {% if team_size is not none %}value={{team_size}}{% endif %}></p>
    <input type="submit" id="submit" name="submit" value="save and get labels"/>
</form>

{% if label_list is not none %}
<!-- Label list -->
<h3>Labels</h3>
<ul>
{% for lbl_name, lbl_score in label_list %}
<li>{{lbl_name}} ({{"{:.3f}".format(lbl_score)}})</li>
{% endfor %}
</ul>
{% endif %}

{% endif %}

